net.i2p.router.networkdb.kademlia

## Class DirectLookupJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.kademlia.FloodSearchJob
    - - net.i2p.router.networkdb.kademlia.FloodOnlySearchJob
      - - net.i2p.router.networkdb.kademlia.DirectLookupJob

- All Implemented Interfaces:
    Job

      class DirectLookupJob
      extends FloodOnlySearchJob

  Ask a connected peer for his RI. Modified from SingleSearchJob. Mainly for older routers. As of 0.9.55, transports will periodically send their RI. Some old routers may not respond or may send DSRM, e.g. if hidden (and i2pd?)

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.networkdb.kademlia.FloodOnlySearchJob

      `_onReply, _onTimeout, _replySelector`

    - ### Fields inherited from class net.i2p.router.networkdb.kademlia.FloodSearchJob

      `_created, _dead, _expiration, _facade, _isLease, _key, _log, _lookupsRemaining, _onFailed, _onFind, _success, _timeoutMs, CONCURRENT_SEARCHES`

    - ### Fields inherited from class net.i2p.router.JobImpl

      `_id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectLookupJob(RouterContext ctx, FloodfillNetworkDatabaseFacade facade, Hash peer, RouterInfo oldRI, Job onFind, Job onFail)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `failed()` Deprecated, unused, see FOSJ override
    `String` | `getName()` Deprecated, unused, see FOSJ override
    `void` | `runJob()` Deprecated, unused, see FOSJ override
    `boolean` | `shouldProcessDSRM()`
    `(package private) void` | `success()` Deprecated, unused, see FOSJ override

    - ### Methods inherited from class net.i2p.router.networkdb.kademlia.FloodOnlySearchJob

      `decrementRemaining`

    - ### Methods inherited from class net.i2p.router.networkdb.kademlia.FloodSearchJob

      `addDeferred, decrementRemaining, getCreated, getExpiration, getKey, getLookupsRemaining`

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectLookupJob

          public DirectLookupJob(RouterContext ctx,
                                 FloodfillNetworkDatabaseFacade facade,
                                 Hash peer,
                                 RouterInfo oldRI,
                                 Job onFind,
                                 Job onFail)

      Parameters:
        `peer` - for Router Info only

  - ### Method Detail

    - #### failed

          void failed()

      Description copied from class: `FloodSearchJob`
      Deprecated, unused, see FOSJ override
      Overrides:
        `failed` in class `FloodOnlySearchJob`

    - #### getName

          public String getName()

      Description copied from class: `FloodSearchJob`
      Deprecated, unused, see FOSJ override
      Specified by:
        `getName` in interface `Job`
      Overrides:
        `getName` in class `FloodOnlySearchJob`
      Returns:
        the descriptive name of the task

    - #### runJob

          public void runJob()

      Description copied from class: `FloodSearchJob`
      Deprecated, unused, see FOSJ override
      Specified by:
        `runJob` in interface `Job`
      Overrides:
        `runJob` in class `FloodOnlySearchJob`

    - #### shouldProcessDSRM

          public boolean shouldProcessDSRM()

      Overrides:
        `shouldProcessDSRM` in class `FloodOnlySearchJob`

    - #### success

          void success()

      Description copied from class: `FloodSearchJob`
      Deprecated, unused, see FOSJ override
      Overrides:
        `success` in class `FloodOnlySearchJob`